CVE-2004-1950
CVSS5.0
发布时间 :2004-04-19 00:00:00
修订时间 :2016-10-17 23:03:38
NMCO    

[原文]phpBB 2.0.8a and earlier trusts the IP address that is in the X-Forwarded-For in the HTTP header, which allows remote attackers to spoof IP addresses.


[CNNVD]PHPBB Common.php IP欺骗地址漏洞(CNNVD-200404-068)

        phpBB 2.0.8a和早期版本信任HTTP头中X-Forwarded-For的IP地址,远程攻击者可以借助该漏洞欺骗IP地址。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:phpbb_group:phpbb:2.0.4
cpe:/a:phpbb_group:phpbb:2.0.5
cpe:/a:phpbb_group:phpbb:2.0.2
cpe:/a:phpbb_group:phpbb:2.0.3
cpe:/a:phpbb_group:phpbb:2.0.0
cpe:/a:phpbb_group:phpbb:2.0.1
cpe:/a:phpbb_group:phpbb:2.0.6d
cpe:/a:phpbb_group:phpbb:2.0.6c
cpe:/a:phpbb_group:phpbb:2.0.7a
cpe:/a:phpbb_group:phpbb:2.0.8a
cpe:/a:phpbb_group:phpbb:2.0.8
cpe:/a:phpbb_group:phpbb:2.0.6
cpe:/a:phpbb_group:phpbb:2.0.7

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1950
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1950
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-068
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108239864203144&w=2
(UNKNOWN)  BUGTRAQ  20040419 phpBB 2.0.8a and lower - IP spoofing vulnerability
http://marc.info/?l=bugtraq&m=108241122908409&w=2
(UNKNOWN)  BUGTRAQ  20040419 Re: phpBB 2.0.8a and lower - IP spoofing vulnerability
http://www.securityfocus.com/bid/10170
(VENDOR_ADVISORY)  BID  10170
http://xforce.iss.net/xforce/xfdb/15909
(VENDOR_ADVISORY)  XF  phbb-common-ip-spoofing(15909)

- 漏洞信息

PHPBB Common.php IP欺骗地址漏洞
中危 设计错误
2004-04-19 00:00:00 2005-10-20 00:00:00
远程  
        phpBB 2.0.8a和早期版本信任HTTP头中X-Forwarded-For的IP地址,远程攻击者可以借助该漏洞欺骗IP地址。

- 公告与补丁

        The vendor has released version 2.0.9 of phpBB that addresses this issue.
        phpBB Group phpBB 2.0 .0
        
        phpBB Group phpBB 2.0.1
        
        phpBB Group phpBB 2.0.2
        
        phpBB Group phpBB 2.0.3
        
        phpBB Group phpBB 2.0.4
        
        phpBB Group phpBB 2.0.5
        
        phpBB Group phpBB 2.0.6 c
        
        phpBB Group phpBB 2.0.6 d
        
        phpBB Group phpBB 2.0.6
        
        phpBB Group phpBB 2.0.7
        
        phpBB Group phpBB 2.0.7 a
        
        phpBB Group phpBB 2.0.8 a
        
        phpBB Group phpBB 2.0.8
        

- 漏洞信息

7815
phpBB common.php IP Spoofing Access Bypass
Remote / Network Access
Loss of Integrity
Exploit Public

- 漏洞描述

phpBB contains a flaw that may allow a remote attacker to circumvent administrative user management. The issue is triggered by specifying a spoofed IP address in the 'HTTP_X_FORWARDED_FOR' header, which may allow a remote attacker to bypass access restrictions resulting in a loss of integrity.

- 时间线

2004-04-18 2004-04-18
2004-04-18 Unknow

- 解决方案

Upgrade to version 2.0.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站